Skip to main content
PUT
/
v1
/
secrets
/
{name}
Set Secret
curl --request PUT \
  --url https://api.retab.com/v1/secrets/{name} \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>"
}
'
{
  "secret": {
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "updated_by": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Set or rotate an environment-scoped secret value. The encrypted value is updated and is not returned by the API.
Python
secret = client.secrets.update_secret("RESEND_API_KEY", value="...")
TypeScript
const secret = await client.secrets.update_secret("RESEND_API_KEY", "...");
Go
secret, err := client.Secrets.Update(ctx, "RESEND_API_KEY", &retab.SecretsUpdateParams{
	Value: "...",
})
Java
// Set a secret with the Retab Java client.
cURL
curl -X PUT https://api.retab.com/v1/secrets/RESEND_API_KEY \
  -H "Api-Key: $RETAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"value":"..."}'

Authorizations

Api-Key
string
header
required

Path Parameters

name
string
required
Pattern: ^[A-Za-z_][A-Za-z0-9_]*$

Body

application/json
value
string
required
Minimum string length: 1

Response

Successful Response

secret
Secret · object
required